## mpv 0.36.0

=== meson_options.txt ===
# booleans
option('gpl', type: 'boolean', value: true, description: 'GPL (version 2 or later) build')
option('cplayer', type: 'boolean', value: true, description: 'mpv CLI player')
option('libmpv', type: 'boolean', value: false, description: 'libmpv library')
option('build-date', type: 'boolean', value: true, description: 'whether to include binary compile time')
option('tests', type: 'boolean', value: false, description: 'meson unit tests')
# Reminder: normally always built, but enabled by MPV_LEAK_REPORT.
# Building it can be disabled only by defining NDEBUG through CFLAGS.
option('ta-leak-report', type: 'boolean', value: false, description: 'enable ta leak report by default (development only)')

# misc features
option('cdda', type: 'feature', value: 'disabled', description: 'cdda support (libcdio)')
option('cplugins', type: 'feature', value: 'auto', description: 'C plugins')
option('dvbin', type: 'feature', value: 'disabled', description: 'DVB input module')
option('dvdnav', type: 'feature', value: 'disabled', description: 'dvdnav support')
option('iconv', type: 'feature', value: 'auto', description: 'iconv')
option('javascript', type: 'feature', value: 'auto', description: 'Javascript (MuJS backend)')
option('lcms2', type: 'feature', value: 'auto', description: 'LCMS2 support')
option('libarchive', type: 'feature', value: 'auto', description: 'libarchive wrapper for reading zip files and more')
option('libavdevice', type: 'feature', value: 'auto', description: 'libavdevice')
option('libbluray', type: 'feature', value: 'auto', description: 'Bluray support')
option('lua',
    type: 'combo',
    choices: ['lua', 'lua52', 'lua5.2', 'lua-5.2', 'luajit', 'lua51',
              'lua5.1', 'lua-5.1', 'auto', 'enabled', 'disabled'],
    value: 'auto',
    description: 'Lua'
)
option('pthread-debug', type: 'feature', value: 'disabled', description: 'pthread runtime debugging wrappers')
option('rubberband', type: 'feature', value: 'auto', description: 'librubberband support')
option('sdl2', type: 'feature', value: 'disabled', description: 'SDL2')
option('sdl2-gamepad', type: 'feature', value: 'auto', description: 'SDL2 gamepad input')
option('stdatomic', type: 'feature', value: 'auto', description: 'C11 stdatomic.h')
option('uchardet', type: 'feature', value: 'auto', description: 'uchardet support')
option('uwp', type: 'feature', value: 'disabled', description: 'Universal Windows Platform')
option('vapoursynth', type: 'feature', value: 'auto', description: 'VapourSynth filter bridge')
option('vector', type: 'feature', value: 'auto', description: 'GCC vector instructions')
option('win32-internal-pthreads', type: 'feature', value: 'auto', description: 'internal pthread wrapper for win32 (Vista+)')
option('zimg', type: 'feature', value: 'auto', description: 'libzimg support (high quality software scaler)')
option('zlib', type: 'feature', value: 'auto', description: 'zlib')

# audio output features
option('alsa', type: 'feature', value: 'auto', description: 'ALSA audio output')
option('audiounit', type: 'feature', value: 'auto', description: 'AudioUnit output for iOS')
option('coreaudio', type: 'feature', value: 'auto', description: 'CoreAudio audio output')
option('jack', type: 'feature', value: 'auto', description: 'JACK audio output')
option('openal', type: 'feature', value: 'disabled', description: 'OpenAL audio output')
option('opensles', type: 'feature', value: 'auto', description: 'OpenSL ES audio output')
option('oss-audio', type: 'feature', value: 'auto', description: 'OSSv4 audio output')
option('pipewire', type: 'feature', value: 'auto', description: 'PipeWire audio output')
option('pulse', type: 'feature', value: 'auto', description: 'PulseAudio audio output')
option('sdl2-audio', type: 'feature', value: 'auto', description: 'SDL2 audio output')
option('sndio', type: 'feature', value: 'auto', description: 'sndio audio output')
option('wasapi', type: 'feature', value: 'auto', description: 'WASAPI audio output')

# video output features
option('caca', type: 'feature', value: 'auto', description: 'CACA')
option('cocoa', type: 'feature', value: 'auto', description: 'Cocoa')
option('d3d11', type: 'feature', value: 'auto', description: 'Direct3D 11 video output')
option('direct3d', type: 'feature', value: 'auto', description: 'Direct3D support')
option('dmabuf-wayland', type: 'feature', value: 'auto', description: 'dmabuf-wayland video output')
option('drm', type: 'feature', value: 'auto', description: 'DRM')
option('egl', type: 'feature', value: 'auto', description: 'EGL 1.4')
option('egl-android', type: 'feature', value: 'auto', description: 'Android EGL support')
option('egl-angle', type: 'feature', value: 'auto', description: 'OpenGL ANGLE headers')
option('egl-angle-lib', type: 'feature', value: 'auto', description: 'OpenGL Win32 ANGLE library')
option('egl-angle-win32', type: 'feature', value: 'auto', description: 'OpenGL Win32 ANGLE Backend')
option('egl-drm', type: 'feature', value: 'auto', description: 'OpenGL DRM EGL Backend')
option('egl-wayland', type: 'feature', value: 'auto', description: 'OpenGL Wayland Backend')
option('egl-x11', type: 'feature', value: 'auto', description: 'OpenGL X11 EGL Backend')
option('gbm', type: 'feature', value: 'auto', description: 'GBM')
option('gl', type: 'feature', value: 'enabled', description: 'OpenGL context support')
option('gl-cocoa', type: 'feature', value: 'auto', description: 'gl-cocoa')
option('gl-dxinterop', type: 'feature', value: 'auto', description: 'OpenGL/DirectX Interop Backend')
option('gl-win32', type: 'feature', value: 'auto', description: 'OpenGL Win32 Backend')
option('gl-x11', type: 'feature', value: 'disabled', description: 'OpenGL X11/GLX (deprecated/legacy)')
option('jpeg', type: 'feature', value: 'auto', description: 'JPEG support')
option('libplacebo', type: 'feature', value: 'auto', description: 'libplacebo support')
option('libplacebo-next', type: 'feature', value: 'auto', description: 'gpu-next video output')
option('rpi', type: 'feature', value: 'disabled', description: 'Raspberry Pi support')
option('sdl2-video', type: 'feature', value: 'auto', description: 'SDL2 video output')
option('shaderc', type: 'feature', value: 'auto', description: 'libshaderc SPIR-V compiler')
option('sixel', type: 'feature', value:'auto', description: 'Sixel')
option('spirv-cross', type: 'feature', value: 'auto', description: 'SPIRV-Cross SPIR-V shader converter')
option('plain-gl', type: 'feature', value: 'auto', description: 'OpenGL without platform-specific code (e.g. for libmpv)')
option('vdpau', type: 'feature', value: 'auto', description: 'VDPAU acceleration')
option('vdpau-gl-x11', type: 'feature', value: 'auto', description: 'VDPAU with OpenGL/X11')
option('vaapi', type: 'feature', value: 'auto', description: 'VAAPI acceleration')
option('vaapi-drm', type: 'feature', value: 'auto', description: 'VAAPI (DRM/EGL support)')
option('vaapi-wayland', type: 'feature', value: 'auto', description: 'VAAPI (Wayland support)')
option('vaapi-x11', type: 'feature', value: 'auto', description: 'VAAPI (X11 support)')
option('vaapi-x-egl', type: 'feature', value: 'auto', description: 'VAAPI EGL on X11')
option('vulkan', type: 'feature', value: 'auto', description: 'Vulkan context support')
option('wayland', type: 'feature', value: 'auto', description: 'Wayland')
option('x11', type: 'feature', value: 'auto', description: 'X11')
option('xv', type: 'feature', value: 'auto', description: 'Xv video output')

# hwaccel features
option('android-media-ndk', type: 'feature', value: 'auto', description: 'Android Media APIs')
option('cuda-hwaccel', type: 'feature', value: 'auto', description: 'CUDA acceleration')
option('cuda-interop', type: 'feature', value: 'auto', description: 'CUDA with graphics interop')
option('d3d-hwaccel', type: 'feature', value: 'auto', description: 'D3D11VA hwaccel')
option('d3d9-hwaccel', type: 'feature', value: 'auto', description: 'DXVA2 hwaccel')
option('gl-dxinterop-d3d9', type: 'feature', value: 'auto', description: 'OpenGL/DirectX Interop Backend DXVA2 interop')
option('ios-gl', type: 'feature', value: 'auto', description: 'iOS OpenGL ES hardware decoding interop support')
option('rpi-mmal', type: 'feature', value: 'auto', description: 'Raspberry Pi MMAL hwaccel')
option('videotoolbox-gl', type: 'feature', value: 'auto', description: 'Videotoolbox with OpenGL')
option('vulkan-interop', type: 'feature', value: 'auto', description: 'Vulkan graphics interop')

# macOS features
option('macos-10-11-features', type: 'feature', value: 'auto', description: 'macOS 10.11 SDK Features')
option('macos-10-12-2-features', type: 'feature', value: 'auto', description: 'macOS 10.12.2 SDK Features')
option('macos-10-14-features', type: 'feature', value: 'auto', description: 'macOS 10.14 SDK Features')
option('macos-cocoa-cb', type: 'feature', value: 'auto', description: 'macOS libmpv backend')
option('macos-media-player', type: 'feature', value: 'auto', description: 'macOS Media Player support')
option('macos-touchbar', type: 'feature', value: 'auto', description: 'macOS Touch Bar support')
option('swift-build', type: 'feature', value: 'auto', description: 'macOS Swift build tools')
option('swift-flags', type: 'string', description: 'Optional Swift compiler flags')

# manpages
option('html-build', type: 'feature', value: 'disabled', description: 'html manual generation')
option('manpage-build', type: 'feature', value: 'auto', description: 'manpage generation')
option('pdf-build', type: 'feature', value: 'disabled', description: 'pdf manual generation')

=== wscript ===
# vi: ft=python

import sys, os, re
sys.path.insert(0, os.path.join(os.getcwd(), 'waftools'))
sys.path.insert(0, os.getcwd())
from shlex import split
from waflib.Configure import conf
from waflib.Tools import c_preproc
from waflib.Tools.compiler_c import c_compiler
from waflib import Utils
from waftools.checks.generic import *
from waftools.checks.custom import *

c_preproc.go_absolute=True # enable system folders
c_preproc.standard_includes.append('/usr/local/include')

c_compiler['win32'].remove('msvc')

APPNAME = 'mpv'

"""
Dependency identifiers (for win32 vs. Unix):
    wscript / C source                  meaning
    --------------------------------------------------------------------------
    posix / HAVE_POSIX:                 defined on Linux, OSX, Cygwin
                                        (Cygwin emulates POSIX APIs on Windows)
    mingw / __MINGW32__:                defined if posix is not defined
                                        (Windows without Cygwin)
    os-win32 / _WIN32:                  defined if basic windows.h API is available
    win32-desktop / HAVE_WIN32_DESKTOP: defined if desktop windows.h API is available
    uwp / HAVE_UWP:                     defined if building for UWP (basic Windows only)
"""

build_options = [
    {
        'name': '--lgpl',
        'desc': 'LGPL (version 2.1 or later) build',
        'default': 'disable',
        'func': check_true,
    }, {
        'name': 'gpl',
        'desc': 'GPL (version 2 or later) build',
        'deps': '!lgpl',
        'func': check_true,
    }, {
        'name': '--cplayer',
        'desc': 'mpv CLI player',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--libmpv-shared',
        'desc': 'shared library',
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--libmpv-static',
        'desc': 'static library',
        'default': 'disable',
        'deps': '!libmpv-shared',
        'func': check_true
    }, {
        'name': '--static-build',
        'desc': 'static build',
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--build-date',
        'desc': 'whether to include binary compile time',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--optimize',
        'desc': 'whether to optimize',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--debug-build',
        'desc': 'whether to compile-in debugging information',
        'default': 'enable',
        'func': check_true
    }, {
        # Reminder: normally always built, but enabled by MPV_LEAK_REPORT.
        # Building it can be disabled only by defining NDEBUG through CFLAGS.
        'name': '--ta-leak-report',
        'desc': 'enable ta leak report by default (development only)',
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--manpage-build',
        'desc': 'manpage generation',
        'func': check_ctx_vars('RST2MAN')
    }, {
        'name': '--html-build',
        'desc': 'html manual generation',
        'func': check_ctx_vars('RST2HTML'),
        'default': 'disable',
    }, {
        'name': '--pdf-build',
        'desc': 'pdf manual generation',
        'func': check_ctx_vars('RST2PDF'),
        'default': 'disable',
    }, {
        'name': 'libdl',
        'desc': 'dynamic loader',
        'func': check_libs(['dl'], check_statement('dlfcn.h', 'dlopen("", 0)'))
    }, {
        'name': '--cplugins',
        'desc': 'C plugins',
        'deps': 'libdl && !os-win32',
        'func': check_cc(linkflags=['-rdynamic']),
    }, {
        # does nothing - left for backward and forward compatibility
        'name': '--asm',
        'desc': 'inline assembly (currently without effect)',
        'default': 'enable',
        'func': check_true,
    }, {
        'name': '--vector',
        'desc': 'GCC vector instructions',
        'func': check_statement([], 'float v __attribute__((vector_size(32)))'),
    }, {
        'name': '--clang-database',
        'desc': 'generate a clang compilation database',
        'func': check_true,
        'default': 'disable',
    } , {
        'name': '--swift-static',
        'desc': 'static Swift linking',
        'deps': 'os-darwin',
        'func': check_ctx_vars('SWIFT_LIB_STATIC'),
        'default': 'disable'
    }
]

main_dependencies = [
    {
        'name': 'noexecstack',
        'desc': 'compiler support for noexecstack',
        'func': check_cc(linkflags='-Wl,-z,noexecstack')
    }, {
        'name': 'noexecstack',
        'desc': 'linker support for --nxcompat --no-seh --dynamicbase',
        'func': check_cc(linkflags=['-Wl,--nxcompat', '-Wl,--no-seh', '-Wl,--dynamicbase'])
    } , {
        'name': 'libm',
        'desc': '-lm',
        'func': check_cc(lib='m')
    }, {
        'name': 'mingw',
        'desc': 'MinGW',
        'deps': 'os-win32',
        'func': check_statement('stdlib.h', 'int x = __MINGW32__;'
                                            'int y = __MINGW64_VERSION_MAJOR'),
    }, {
        'name': 'posix',
        'desc': 'POSIX environment',
        'func': check_statement(['unistd.h'], 'long x = _POSIX_VERSION'),
    }, {
        'name': 'darwin',
        'desc': 'Darwin environment',
        'deps': 'os-darwin',
        'func': check_true,
    }, {
        'name': '--android',
        'desc': 'Android environment',
        'func': check_statement('android/api-level.h', '(void)__ANDROID__'),  # arbitrary android-specific header
    }, {
        'name': '--android-media-ndk',
        'desc': 'Android Media APIs',
        'deps': 'android',
        # header only, library is dynamically loaded
        'func': check_statement('media/NdkImageReader.h', 'int x = AIMAGE_FORMAT_PRIVATE'),
    }, {
        'name': '--tvos',
        'desc': 'tvOS environment',
        'func': check_statement(
            ['TargetConditionals.h', 'assert.h'],
            'static_assert(TARGET_OS_TV, "TARGET_OS_TV defined to zero!")'
        ),
    }, {
        'name': '--egl-android',
        'desc': 'Android EGL support',
        'deps': 'android',
        'groups': [ 'gl' ],
        'func': check_cc(lib=['android', 'EGL']),
    }, {
        'name': 'posix-or-mingw',
        'desc': 'development environment',
        'deps': 'posix || mingw',
        'func': check_true,
        'req': True,
        'fmsg': 'Unable to find either POSIX or MinGW-w64 environment, ' \
                'or compiler does not work.',
    }, {
        'name': '--swift',
        'desc': 'macOS Swift build tools',
        'deps': 'os-darwin',
        'func': compose_checks(check_swift('4.1'), check_macos_sdk('10.10')),
    }, {
        'name': '--uwp',
        'desc': 'Universal Windows Platform',
        'default': 'disable',
        'deps': 'os-win32 && mingw && !cplayer',
        'func': check_cc(lib=['windowsapp']),
    }, {
        'name': 'win32-desktop',
        'desc': 'win32 desktop APIs',
        'deps': '(os-win32 || os-cygwin) && !uwp',
        'func': check_cc(lib=['avrt',
                              'dwmapi',
                              'gdi32',
                              'ole32',
                              'uuid',
                              'uxtheme',
                              'version',
                              'winmm']),
    }, {
        'name': '--win32-internal-pthreads',
        'desc': 'internal pthread wrapper for win32 (Vista+)',
        'deps': 'os-win32 && !posix',
        'func': check_true,
    }, {
        'name': 'pthreads',
        'desc': 'POSIX threads',
        'func': check_pthreads,
        'req': True,
        'fmsg': 'Unable to find pthreads support.'
    }, {
        # NB: this works only if a source file includes osdep/threads.h
        #     also, technically, triggers undefined behavior (reserved names)
        'name': '--pthread-debug',
        'desc': 'pthread runtime debugging wrappers',
        'default': 'disable',
        'func': check_cc(cflags='-DMP_PTHREAD_DEBUG'),
        # The win32 wrapper defines pthreads symbols as macros only.
        'deps_neg': 'win32-internal-pthreads',
    }, {
        'name': '--stdatomic',
        'desc': 'C11 stdatomic.h',
        'func': check_libs(['atomic'],
            check_statement('stdatomic.h',
                'atomic_int_least64_t test = ATOMIC_VAR_INIT(123);'
                'atomic_fetch_add(&test, 1)')),
        'req': True,
        'fmsg': 'C11 atomics are required; you may need a newer compiler',
    }, {
        'name': 'librt',
        'desc': 'linking with -lrt',
        'deps': 'pthreads',
        'func': check_cc(lib='rt')
    }, {
        'name': '--iconv',
        'desc': 'iconv',
        'func': check_iconv,
        'req': True,
        'fmsg': "Unable to find iconv which should be part of a standard \
compilation environment. Aborting. If you really mean to compile without \
iconv support use --disable-iconv.",
    }, {
        'name': 'dos-paths',
        'desc': 'w32/dos paths',
        'deps': 'os-win32 || os-cygwin',
        'func': check_true
    }, {
        'name': 'glob-posix',
        'desc': 'glob() POSIX support',
        'deps': '!(os-win32 || os-cygwin)',
        'func': check_statement('glob.h', 'glob("filename", 0, 0, 0)'),
    }, {
        'name': 'glob-win32',
        'desc': 'glob() win32 replacement',
        'deps': '!posix && (os-win32 || os-cygwin)',
        'func': check_true
    }, {
        'name': 'glob',
        'desc': 'any glob() support',
        'deps': 'glob-posix || glob-win32',
        'func': check_true,
    }, {
        'name': 'vt.h',
        'desc': 'vt.h',
        'func': check_statement(['sys/vt.h', 'sys/ioctl.h'],
                                'int m; ioctl(0, VT_GETMODE, &m)'),
    }, {
        'name': 'consio.h',
        'desc': 'consio.h',
        'deps': '!vt.h',
        'func': check_statement(['sys/consio.h', 'sys/ioctl.h'],
                                'int m; ioctl(0, VT_GETMODE, &m)'),
    }, {
        'name': 'gbm.h',
        'desc': 'gbm.h',
        'func': check_cc(header_name=['stdio.h', 'gbm.h']),
    }, {
        'name': 'glibc-thread-name',
        'desc': 'GLIBC API for setting thread name',
        'func': check_statement('pthread.h',
                                'pthread_setname_np(pthread_self(), "ducks")',
                                use=['pthreads']),
    }, {
        'name': 'osx-thread-name',
        'desc': 'OSX API for setting thread name',
        'deps': '!glibc-thread-name',
        'func': check_statement('pthread.h',
                                'pthread_setname_np("ducks")', use=['pthreads']),
    }, {
        'name': 'bsd-thread-name',
        'desc': 'BSD API for setting thread name',
        'deps': '!(glibc-thread-name || osx-thread-name)',
        'func': check_statement(['pthread.h', 'pthread_np.h'],
                                'pthread_set_name_np(pthread_self(), "ducks")',
                                use=['pthreads']),
    }, {
        'name': 'bsd-fstatfs',
        'desc': "BSD's fstatfs()",
        'func': check_statement(['sys/param.h', 'sys/mount.h'],
                                'struct statfs fs; fstatfs(0, &fs); fs.f_fstypename')
    }, {
        'name': 'linux-fstatfs',
        'desc': "Linux's fstatfs()",
        'deps': 'os-linux',
        'func': check_statement('sys/vfs.h',
                                'struct statfs fs; fstatfs(0, &fs); fs.f_namelen')
    }, {
        'name': 'linux-input-event-codes',
        'desc': "Linux's input-event-codes.h",
        'func': check_cc(header_name=['linux/input-event-codes.h']),
    }, {
        'name' : '--lua',
        'desc' : 'Lua',
        'func': check_lua,
    }, {
        'name' : '--javascript',
        'desc' : 'Javascript (MuJS backend)',
        'func': check_pkg_config('mujs', '>= 1.0.0'),
    }, {
        'name': 'libass',
        'desc': 'SSA/ASS support',
        'func': check_pkg_config('libass', '>= 0.12.2'),

=== debian/changelog ===
mpv (0.36.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Aug 2023 05:50:10 -0700

mpv (0.36.0-1) unstable; urgency=medium

  * New upstream version 0.36.0
  * debian/patches: Refresh patches
  * debian/libmpv2.symbols: Add new symbol

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 01 Aug 2023 22:43:12 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS := hardening=+all # #741439, #799738

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ARCH_CONFIGURE = -Ddvbin=enabled
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dlibmpv=true \
		-Dbuild-date=false \
		-Dcdda=enabled \
		-Ddvdnav=enabled \
		-Dsdl2=enabled \
		-Dsndio=disabled \
		$(ARCH_CONFIGURE)

execute_after_dh_auto_install:
	mv debian/tmp/usr/share/zsh/site-functions debian/tmp/usr/share/zsh/vendor-completions

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## mpv 0.37.0

=== debian/changelog ===
mpv (0.37.0-1ubuntu4) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:17:48 +0000

mpv (0.37.0-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:08:10 +0000

mpv (0.37.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libarchive13t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 07:22:33 +0000

mpv (0.37.0-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Dec 2023 09:26:46 +0100

mpv (0.37.0-1) unstable; urgency=medium

  * New upstream version 0.37.0
  * debian/patches: Refresh patches
  * debian/libmpv2.symbols: Add new symbol
  * debian/docs: Update list of installed documentation
  * debian/control:
    - Add libcdio-dev to BDs
    - Bump required libplacebo-dev BD
    - Switch to pkgconf

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Dec 2023 12:30:21 +0100

mpv (0.36.0-1ubuntu2) noble; urgency=medium

  * Rebuild against new libplacebo338.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Nov 2023 10:25:29 +0100

mpv (0.36.0-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Aug 2023 12:10:22 +0200

mpv (0.35.1-4ubuntu2) mantic; urgency=medium

  * No-change rebuild against libmujs3.

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 15:50:29 +0100

mpv (0.35.1-4ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 May 2023 08:49:38 +0200

mpv (0.35.1-2ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Apr 2023 15:23:42 +0200

mpv (0.35.1-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Jan 2023 09:29:53 +0100

=== debian/control ===
Source: mpv
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alessandro Ghedini <ghedo@debian.org>,
 Reinhard Tartler <siretart@tauware.de>,
 James Cowgill <jcowgill@debian.org>,
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libarchive-dev (>= 3.4),
 libasound2-dev [linux-any],
 libass-dev,
 libavcodec-dev (>= 7:4.0),
 libavdevice-dev (>= 7:4.0),
 libavfilter-dev (>= 7:4.0),
 libavformat-dev (>= 7:4.0),
 libavutil-dev (>= 7:4.0),
 libbluray-dev,
 libcaca-dev,
 libcdio-dev,
 libcdio-paranoia-dev,
 libdrm-dev (>= 2.4.75),
 libdvdnav-dev,
 libegl-dev [linux-any],
 libffmpeg-nvenc-dev [amd64 arm64 i386],
 libgbm-dev,
 libgl-dev,
 libjack-dev,
 libjpeg-dev,
 liblcms2-dev (>= 2.6~),
 liblua5.2-dev,
 libmujs-dev,
 libpipewire-0.3-dev [linux-any],
 libplacebo-dev (>= 6.338),
 libpulse-dev,
 librubberband-dev,
 libsdl2-dev,
 libsixel-dev,
 libspirv-cross-c-shared-dev,
 libswscale-dev (>= 7:4.0),
 libuchardet-dev,
 libva-dev,
 libvdpau-dev,
 libvulkan-dev,
 libwayland-dev (>= 1.15.0) [linux-any],
 libx11-dev,
 libxinerama-dev,
 libxkbcommon-dev [linux-any],
 libxpresent-dev,
 libxrandr-dev,
 libxss-dev,
 libxv-dev,
 libzimg-dev,
 meson,
 ninja-build,
 pkgconf,
 python3-docutils,
 spirv-cross,
 wayland-protocols,
Standards-Version: 4.6.2
Homepage: https://mpv.io/
Vcs-Git: https://salsa.debian.org/multimedia-team/mpv.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mpv
Rules-Requires-Root: no

Package: mpv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xdg-utils, yt-dlp
Suggests: libcuda1 [amd64 arm64 i386]
Multi-Arch: foreign
Description: video player based on MPlayer/mplayer2
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 Changes from mplayer2 to mpv include:
  * Removal of lots of unneeded code to encourage developer activity
  * Better OSD rendering
  * Cleaned up terminal output
  * Improved OpenGL output
  * Encoding functionality (replacement for mencoder)
  * Wayland support
  * Support for playing URLs of popular streaming sites
  * Screenshot improvements
  * ...
 See mpv(1) for more info regarding changes between MPlayer, mplayer2 and mpv.

Package: libmpv2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: yt-dlp
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides a client library that can be used to embed mpv in other
 applications.

Package: libmpv-dev
Section: libdevel
Architecture: any
Depends:
 libmpv2 (= ${binary:Version}),
 libarchive-dev (>= 3.4),
 libasound2-dev [linux-any],
 libass-dev,
 libavcodec-dev (>= 7:4.0),
 libavdevice-dev (>= 7:4.0),
 libavfilter-dev (>= 7:4.0),
 libavformat-dev (>= 7:4.0),
 libavutil-dev (>= 7:4.0),
 libbluray-dev,
 libcaca-dev,
 libcdio-paranoia-dev,
 libdrm-dev (>= 2.4.75),
 libdvdnav-dev,
 libegl-dev [linux-any],
 libffmpeg-nvenc-dev [amd64 arm64 i386],
 libgbm-dev,
 libgl-dev,
 libjack-dev,
 libjpeg-dev,
 liblcms2-dev (>= 2.6~),
 liblua5.2-dev,
 libmujs-dev,
 libpipewire-0.3-dev [linux-any],
 libplacebo-dev (>= 4.157),
 libpulse-dev,
 librubberband-dev,
 libsdl2-dev,
 libsixel-dev,
 libspirv-cross-c-shared-dev,
 libswscale-dev (>= 7:4.0),
 libuchardet-dev,
 libva-dev,
 libvdpau-dev,
 libvulkan-dev,
 libwayland-dev (>= 1.15.0) [linux-any],
 libx11-dev,
 libxinerama-dev,
 libxkbcommon-dev [linux-any],
 libxpresent-dev,
 libxrandr-dev,
 libxss-dev,
 libxv-dev,
 libzimg-dev,
 wayland-protocols,
 ${misc:Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library dev files)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides development files for libmpv.

## mpv 0.37.0+fruit.1

=== debian/changelog ===
mpv (0.37.0+fruit.1) unstable; urgency=medium

  * local build with ffmpeg 1:6.1, libass 2:2023.11.28+c047dd2ea16f73abb4f448e6db3637158c1226d0, libplacebo 1:6.338.1

 -- Wessel Dankers <wsl@fruit.je>  Sun, 24 Dec 2023 12:54:26 +0100

=== debian/control ===
Source: mpv
Section: misc
Priority: optional
Maintainer: Kevin Mitchell <kevmitch@gmail.com>
Standards-Version: 3.9.3
Build-Depends:
 autoconf,
 automake,
 c-compiler | gcc,
 debhelper (>= 7),
 glslang-dev,
 ladspa-sdk,
 libasound2-dev [linux-any],
 libarchive-dev,
 libbluray-dev,
 libbs2b-dev,
 libcaca-dev,
 libcdio-paranoia-dev,
 libdrm-dev,
 libdav1d-dev,
 libdvdnav-dev,
 libegl1-mesa-dev,
 libepoxy-dev,
 libfontconfig-dev,
 libfreetype6-dev,
 libfribidi-dev,
 libgl1-mesa-dev,
 libgbm-dev,
 libgme-dev,
 libgnutls-dev | libgnutls28-dev,
 libgsm1-dev,
 libharfbuzz-dev,
 libjack-jackd2-dev | libjack-dev,
 libjpeg-dev,
 libbrotli-dev,
 liblcms2-dev,
 liblircclient-dev,
 liblua5.2-dev | liblua5.1-0-dev,
 libmodplug-dev,
 libmp3lame-dev,
 libopenal-dev,
 libopus-dev,
 libopencore-amrnb-dev,
 libopencore-amrwb-dev,
 libpulse-dev,
 librtmp-dev,
 librubberband-dev,
 libssh-dev,
 libsoxr-dev,
 libspeex-dev,
 libtool,
 libuchardet-dev,
 libv4l-dev [!hurd-any],
 libva-dev [!hurd-any],
 libvdpau-dev,
 libvorbis-dev,
 libvo-amrwbenc-dev,
 libunwind-dev,
 libvpx-dev,
 libvulkan-dev,
 libwayland-dev,
 libx264-dev,
 libx11-dev,
 libxext-dev,
 libxkbcommon-dev,
 libxpresent-dev,
 libxrandr-dev,
 libxss-dev,
 libxv-dev,
 libxvidcore-dev,
 meson,
 nasm,
 ninja-build,
 pkg-config,
 python3,
 python3-docutils,
 x11proto-core-dev,
 zlib1g-dev

Package: mpv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends:
 libgl1-mesa-dri,
 i965-va-driver | libva-intel-vaapi-driver | va-driver,
 mesa-vdpau-drivers | nvidia-vdpau-driver | nvidia-driver-binary | nvidia-current | vdpau-driver
Suggests: libaacs0
Description: mplayer/mplayer2 based video player
 MPV is a versatile CLI movie player, based on mplayer and mplayer2.
 .
 This package is not part of Debian. It was created by mpv-build scripts with
 statically linked ffmpeg, libass and libplacebo from upstream.
Homepage:https://github.com/mpv-player/mpv-build

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all optimize=-lto

# To enable parallel building:
# You can either set DEB_BUILD_OPTIONS=paralell=<num-procs> in your build environment
# or provide the -j<numprocs> option to debuild or dpkg-buildpackage, which
# ammounts to the same thing.
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
# use MFLAGS, rather than MAKEFLAGS as the latter is used by make internally
	MFLAGS += -j$(NUMJOBS)
	MESONFLAGS += -j$(NUMJOBS)
	NINJAFLAGS += -j$(NUMJOBS)
endif

# make .PHONY all the targets that have name collisions with the scripts
# see http://www.debian.org/doc/manuals/maint-guide/dreq.en.html#rules
.PHONY: clean build install
# Apparently, the above isn't enough because of the "%" target. Make the problematic targets explicit
clean:
	exec dh $@
build:
	exec dh $@
install:
	exec dh $@
# Handle all other targets in the usual way.
# The --parallel flag to dh doesn't seem to have the intended effect
# so leave it out.
%:
	exec dh $@

libass_config:
	scripts/libass-config

libass_build: libass_config
	scripts/libass-build $(MFLAGS)

# depend on libass_build in case the user specified --enable-libass in ffmpeg_options
ffmpeg_config: libass_build libplacebo_build
	scripts/ffmpeg-config \
		--enable-gnutls \
		--enable-libdav1d \
		--enable-libgme \
		--enable-libgsm \
		--enable-libmodplug \
		--enable-libmp3lame \
		--enable-libopus \
		--enable-libpulse \
		--enable-libsoxr \
		--enable-libspeex \
		--enable-libssh \
		--enable-libvorbis \
		--enable-libvpx \
		--enable-ladspa \
		--enable-libbs2b \
		--enable-gpl --enable-libxvid --enable-libx264 \
		--enable-version3 --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libvo-amrwbenc

ffmpeg_build: ffmpeg_config
	scripts/ffmpeg-build $(MFLAGS)

libplacebo_config:
	scripts/libplacebo-config

libplacebo_build: libplacebo_config
	scripts/libplacebo-build $(NINJAFLAGS)

# drop the local/ since it's package managed now
override_dh_auto_configure: ffmpeg_build libass_build libplacebo_build
	scripts/mpv-config --prefix=/usr \
		-Dopenal=enabled \
		-Ddvdnav=enabled \
		-Dcdda=enabled

override_dh_auto_build:
	scripts/mpv-build $(MESONFLAGS)

# install mpv to the debian packageing dir
# --destdir is relative to mpv/build
override_dh_auto_install:
	scripts/mpv-install --destdir=../../debian/mpv

# for manually installed dependencies
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

# call all the cleans
override_dh_auto_clean:
	./clean

## mpv 0.38.0

=== debian/changelog ===
mpv (0.38.0-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 10:14:45 +0200

mpv (0.38.0-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream release.
    - Drop patch applied upstream.
    - Fix incompatibilities with ffmpeg 7.0 (Closes: #1068660)
  * Update Standards-Version to 4.7.0.

  [ Sebastian Ramacher ]
  * debian/rules: Disable Windows and macOS specific features
  * debian/copyright: Drop removed files

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 May 2024 11:10:27 +0200

=== debian/control ===
Source: mpv
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alessandro Ghedini <ghedo@debian.org>,
 Reinhard Tartler <siretart@tauware.de>,
 James Cowgill <jcowgill@debian.org>,
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libarchive-dev (>= 3.4),
 libasound2-dev [linux-any],
 libass-dev,
 libavcodec-dev (>= 7:4.0),
 libavdevice-dev (>= 7:4.0),
 libavfilter-dev (>= 7:4.0),
 libavformat-dev (>= 7:4.0),
 libavutil-dev (>= 7:4.0),
 libbluray-dev,
 libcaca-dev,
 libcdio-dev,
 libcdio-paranoia-dev,
 libdrm-dev (>= 2.4.75),
 libdvdnav-dev,
 libegl-dev [linux-any],
 libffmpeg-nvenc-dev [amd64 arm64 i386],
 libgbm-dev,
 libgl-dev,
 libjack-dev,
 libjpeg-dev,
 liblcms2-dev (>= 2.6~),
 liblua5.2-dev,
 libmujs-dev,
 libpipewire-0.3-dev [linux-any],
 libplacebo-dev (>= 6.338),
 libpulse-dev,
 librubberband-dev,
 libsdl2-dev,
 libsixel-dev,
 libspirv-cross-c-shared-dev,
 libswscale-dev (>= 7:4.0),
 libuchardet-dev,
 libva-dev,
 libvdpau-dev,
 libvulkan-dev,
 libwayland-dev (>= 1.15.0) [linux-any],
 libx11-dev,
 libxinerama-dev,
 libxkbcommon-dev [linux-any],
 libxpresent-dev,
 libxrandr-dev,
 libxss-dev,
 libxv-dev,
 libzimg-dev,
 meson,
 ninja-build,
 pkgconf,
 python3-docutils,
 spirv-cross,
 wayland-protocols,
Standards-Version: 4.7.0
Homepage: https://mpv.io/
Vcs-Git: https://salsa.debian.org/multimedia-team/mpv.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mpv
Rules-Requires-Root: no

Package: mpv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xdg-utils, yt-dlp
Suggests: libcuda1 [amd64 arm64 i386]
Multi-Arch: foreign
Description: video player based on MPlayer/mplayer2
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 Changes from mplayer2 to mpv include:
  * Removal of lots of unneeded code to encourage developer activity
  * Better OSD rendering
  * Cleaned up terminal output
  * Improved OpenGL output
  * Encoding functionality (replacement for mencoder)
  * Wayland support
  * Support for playing URLs of popular streaming sites
  * Screenshot improvements
  * ...
 See mpv(1) for more info regarding changes between MPlayer, mplayer2 and mpv.

Package: libmpv2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: yt-dlp
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides a client library that can be used to embed mpv in other
 applications.

Package: libmpv-dev
Section: libdevel
Architecture: any
Depends:
 libmpv2 (= ${binary:Version}),
 libarchive-dev (>= 3.4),
 libasound2-dev [linux-any],
 libass-dev,
 libavcodec-dev (>= 7:4.0),
 libavdevice-dev (>= 7:4.0),
 libavfilter-dev (>= 7:4.0),
 libavformat-dev (>= 7:4.0),
 libavutil-dev (>= 7:4.0),
 libbluray-dev,
 libcaca-dev,
 libcdio-paranoia-dev,
 libdrm-dev (>= 2.4.75),
 libdvdnav-dev,
 libegl-dev [linux-any],
 libffmpeg-nvenc-dev [amd64 arm64 i386],
 libgbm-dev,
 libgl-dev,
 libjack-dev,
 libjpeg-dev,
 liblcms2-dev (>= 2.6~),
 liblua5.2-dev,
 libmujs-dev,
 libpipewire-0.3-dev [linux-any],
 libplacebo-dev (>= 4.157),
 libpulse-dev,
 librubberband-dev,
 libsdl2-dev,
 libsixel-dev,
 libspirv-cross-c-shared-dev,
 libswscale-dev (>= 7:4.0),
 libuchardet-dev,
 libva-dev,
 libvdpau-dev,
 libvulkan-dev,
 libwayland-dev (>= 1.15.0) [linux-any],
 libx11-dev,
 libxinerama-dev,
 libxkbcommon-dev [linux-any],
 libxpresent-dev,
 libxrandr-dev,
 libxss-dev,
 libxv-dev,
 libzimg-dev,
 wayland-protocols,
 ${misc:Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library dev files)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides development files for libmpv.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS := hardening=+all # #741439, #799738

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ARCH_CONFIGURE = -Ddvbin=enabled
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dlibmpv=true \
		-Dbuild-date=false \
		-Dcdda=enabled \
		-Ddvdnav=enabled \
		-Dsdl2=enabled \
		-Davfoundation=disabled \
		-Degl-angle-win32=disabled \
		-Dgl-cocoa=disabled \
		-Dgl-win32=disabled \
		-Dios-gl=disabled \
		-Dsndio=disabled \
		-Duwp=disabled \
		-Dvaapi-win32=disabled \
		-Dwasapi=disabled \
		-Dwin32-threads=disabled \
		$(ARCH_CONFIGURE)

execute_after_dh_auto_install:
	mv debian/tmp/usr/share/zsh/site-functions debian/tmp/usr/share/zsh/vendor-completions
	cp -f debian/mpv.conf.ubuntu debian/tmp/etc/mpv/mpv.conf

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES

## mpv 0.39.0

=== debian/changelog ===
mpv (0.39.0-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Dec 2024 22:29:44 +0100

mpv (0.39.0-1) unstable; urgency=medium

  [ Joachim Bauch ]
  * Re-enable sndio support (Closes: #1021761).

  [ Sebastian Ramacher ]
  * New upstream version 0.39.0
  * debian/contrl: Bump ffmpeg dependencies to 7:6.1

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 10 Dec 2024 00:05:52 +0100

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
  libarchive-dev (>= 3.4),
  libasound2-dev [linux-any],
  libass-dev,
- libavcodec-dev (>= 7:4.0),
- libavdevice-dev (>= 7:4.0),
- libavfilter-dev (>= 7:4.0),
- libavformat-dev (>= 7:4.0),
- libavutil-dev (>= 7:4.0),
+ libavcodec-dev (>= 7:6.1),
+ libavdevice-dev (>= 7:6.1),
+ libavfilter-dev (>= 7:6.1),
+ libavformat-dev (>= 7:6.1),
+ libavutil-dev (>= 7:6.1),
  libbluray-dev,
  libcaca-dev,
  libcdio-dev,
@@ -38,8 +38,9 @@
  librubberband-dev,
  libsdl2-dev,
  libsixel-dev,
+ libsndio-dev,
  libspirv-cross-c-shared-dev,
- libswscale-dev (>= 7:4.0),
+ libswscale-dev (>= 7:6.1),
  libuchardet-dev,
  libva-dev,
  libvdpau-dev,

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,6 @@
 		-Dgl-cocoa=disabled \
 		-Dgl-win32=disabled \
 		-Dios-gl=disabled \
-		-Dsndio=disabled \
 		-Duwp=disabled \
 		-Dvaapi-win32=disabled \
 		-Dwasapi=disabled \
